summaryrefslogtreecommitdiffstats
path: root/clang-tidy.sh
diff options
context:
space:
mode:
authorBond-009 <bond.009@outlook.com>2018-05-06 19:07:34 +0200
committerpeterbell10 <peterbell10@live.co.uk>2018-05-06 19:07:34 +0200
commitb9fdaf8a942ea2f79e48e3f735ba8916f3364e70 (patch)
tree41c6f10550a4e606d33ac84fe3968b69875aa1d4 /clang-tidy.sh
parentGenerate cacti and sugarcane with different heights (#4137) (diff)
downloadcuberite-b9fdaf8a942ea2f79e48e3f735ba8916f3364e70.tar
cuberite-b9fdaf8a942ea2f79e48e3f735ba8916f3364e70.tar.gz
cuberite-b9fdaf8a942ea2f79e48e3f735ba8916f3364e70.tar.bz2
cuberite-b9fdaf8a942ea2f79e48e3f735ba8916f3364e70.tar.lz
cuberite-b9fdaf8a942ea2f79e48e3f735ba8916f3364e70.tar.xz
cuberite-b9fdaf8a942ea2f79e48e3f735ba8916f3364e70.tar.zst
cuberite-b9fdaf8a942ea2f79e48e3f735ba8916f3364e70.zip
Diffstat (limited to 'clang-tidy.sh')
-rwxr-xr-xclang-tidy.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/clang-tidy.sh b/clang-tidy.sh
new file mode 100755
index 000000000..34cfb26e7
--- /dev/null
+++ b/clang-tidy.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+FIXES_FILE="tidy-fixes.yaml"
+REGEX="/cuberite/src/\.?[^\.]"
+# TODO: Add -quiet when Circle CI is updated to 2.0 with a newer version of Ubuntu
+ARGS="-header-filter $REGEX -export-fixes $FIXES_FILE "$@" $REGEX"
+
+mkdir -p tidy-build
+cd tidy-build
+cmake --target Cuberite -DCMAKE_EXPORT_COMPILE_COMMANDS=ON ..
+
+if run-clang-tidy.py $ARGS; then
+ echo "clang-tidy: No violations found"
+else
+ echo "clang-tidy: Found violations"
+ exit 1
+fi